QGIS Application - Bug report #18638

Clearing a data-defined replaces expression by 'null’ text instead of being empty

2018-04-05 07:12 AM - Harrissou Santanna

Status: Closed
Priority: Normal
Assignee:

Category: Expressions

Affected QGIS version:3.1(master)
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution:

Copied to github as #: 26526

Description

Add a data-defined expression to a layout picture item (i was there when i found the issue but should be the same for all DD buttons).

Now click the DD button and select Clear
Again select the DD button, Edit

The expression builder is filled with a NULL text you need to erase before writing the new expression.

It would be better to have the widget empty, as it's in 2.18.

Associated revisions

Revision 6a925f9e - 2018-04-06 03:40 AM - Nyall Dawson

Don't set cleared data defined properties to NULL in expression editor

Fixes #18638

Revision 7f24b6f4 - 2018-04-06 06:19 AM - Nyall Dawson

Don't set cleared data defined properties to NULL in expression editor

Fixes #18638

(cherry-picked from 6a925f9)

History

#1 - 2018-04-06 03:40 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|6a925f9e87894a09a4866610654603025a883663.
